MyGUI::LogManager Class Reference

`#include <MyGUI_LogManager.h>`

## Public Member Functions

| LogManager ()
| ~LogManager ()
void | flush ()
void | log (std::string_view _section, LogLevel _level, std::string_view _message, std::string_view _file, int _line)
void | createDefaultSource (std::string_view _logname)
void | setSTDOutputEnabled (bool _value)
bool | getSTDOutputEnabled () const
void | setLoggingLevel (LogLevel _value)
LogLevel | getLoggingLevel () const
void | addLogSource (LogSource *_source)

## Static Public Member Functions

static LogManager & | getInstance ()
static LogManager * | getInstancePtr ()

## Detailed Description

Definition at line 32 of file MyGUI_LogManager.h.

## Constructor & Destructor Documentation

## LogManager()

MyGUI::LogManager::LogManager | ( |  | ) |

Definition at line 19 of file MyGUI_LogManager.cpp.

## ~LogManager()

MyGUI::LogManager::~LogManager | ( |  | ) |

Definition at line 24 of file MyGUI_LogManager.cpp.

## Member Function Documentation

## addLogSource()

void MyGUI::LogManager::addLogSource | ( | LogSource * | _source | ) |

Add log source.

Definition at line 71 of file MyGUI_LogManager.cpp.

## createDefaultSource()

void MyGUI::LogManager::createDefaultSource | ( | std::string_view | _logname | ) |

Create default LevelLogFilter, FileLogListener and ConsoleLogListener.

Definition at line 76 of file MyGUI_LogManager.cpp.

## flush()

void MyGUI::LogManager::flush | ( |  | ) |

Call LogSource::flush() for all log sources.

Definition at line 43 of file MyGUI_LogManager.cpp.

## getInstance()

LogManager & MyGUI::LogManager::getInstance | ( |  | ) |

static

Definition at line 32 of file MyGUI_LogManager.cpp.

## getInstancePtr()

LogManager * MyGUI::LogManager::getInstancePtr | ( |  | ) |

static

Definition at line 38 of file MyGUI_LogManager.cpp.

## getLoggingLevel()

LogLevel MyGUI::LogManager::getLoggingLevel | ( |  | ) | const

Get default LevelLogFilter level.

Definition at line 120 of file MyGUI_LogManager.cpp.

## getSTDOutputEnabled()

bool MyGUI::LogManager::getSTDOutputEnabled | ( |  | ) | const

Is disable ConsoleLogListener enabled.

Definition at line 107 of file MyGUI_LogManager.cpp.

## log()

void MyGUI::LogManager::log | ( | std::string_view | _section,
|  | LogLevel | _level,
|  | std::string_view | _message,
|  | std::string_view | _file,
|  | int | _line )

Call LogSource::log for all log sources.

Definition at line 49 of file MyGUI_LogManager.cpp.

## setLoggingLevel()

void MyGUI::LogManager::setLoggingLevel | ( | LogLevel | _value | ) |

Set default LevelLogFilter level.

Definition at line 112 of file MyGUI_LogManager.cpp.

## setSTDOutputEnabled()

void MyGUI::LogManager::setSTDOutputEnabled | ( | bool | _value | ) |

Enable or disable default ConsoleLogListener that writes log into std::cout.
Enabled (true) by default.

Definition at line 99 of file MyGUI_LogManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_LogManager.h
- MyGUI_LogManager.cpp